For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a list of all TXT programmes.

Required permissions: Messages and Reports

get
Query parameters
apiTokenstringRequired

API authentication token

Responses
200

OK

application/json
programmeIDstringOptional
namestringOptional
shortCodestringOptional
keywordstringOptional
capturesKeywordlessbooleanOptional
statusstringOptional
createdstring · date-timeOptional
lastModifiedstring · date-timeOptional
get/txt/programmes
GET /txt/programmes?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Accept: */*
[
  {
    "programmeID": "text",
    "name": "text",
    "shortCode": "text",
    "keyword": "text",
    "capturesKeywordless": true,
    "status": "text",
    "created": "2026-01-01T00:00:00.000Z",
    "lastModified": "2026-01-01T00:00:00.000Z"
  }
]

Last updated

Was this helpful?